ProjectM error

  • LE 7.95.3 Generic.x86_64


    Installed ProjectM 1.1.1.1 from LE repository.


    When loading I get pop-up with the following:


    Add-on couldn't be loaded.
    Add-on couldn't be loaded.
    Can't load shared library.


    Also, the option to uninstall is not available. Selecting update appears to download and install successfully, however the add-on still returns the above error message.


    Am I missing something, a dependency perhaps that is not automatically added with ProjectM?


    Cheers...


    RLW

  • Wow, ha ha. I just downloaded this version of LE the other day, hoping to play around with a late pre-release. Didn't know 8.0.0 would be out so quick.


    Cheers, I'll try that and update this thread.


    RLW
    [hr]
    Unfortunately, no difference at all after updating to LE 8.0.0


    Cheers,


    RLW


  • Read this it might help you.

  • Nope, not running a Chromebox. I checked the add-on.xml as suggested in the post you linked to and it correctly points to the visualization filename precisely.



    RLW


  • Nope, not running a Chromebox. I checked the add-on.xml as suggested in the post you linked to and it correctly points to the visualization filename precisely.



    RLW


    You sure it's not written something like "visualization.project.so.1.1.1.1"?

  • You sure it's not written something like "visualization.project.so.1.1.1.1"?


    Sorry, I misread the linked post. Yes, the add-on.xml included the "1.1.1.1" version past "so". I reread the linked post and made sure mine was identical format.


    I no longer get the error message, but the ProjectM visualization still doesn't work. I just get a tiled background of speaker/music note icons.


    Cheers,


    RLW

  • Hi,


    Getting the same error with LE8.0.0 on nvidia ion hardware:

    Code
    1. 23:46:04.519 T:139904632823104   DEBUG: ADDON: Dll Initializing - projectM
    2. 23:46:04.519 T:139904632823104   DEBUG: SECTION:LoadDLL(/storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1)
    3. 23:46:04.519 T:139904632823104   DEBUG: Loading: /storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1
    4. 23:46:04.527 T:139904632823104   ERROR: Unable to load /storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1, reason: /storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1: undefined symbol: __glewBindFramebufferEXT


    The library exists where the addon is looking for it:

    Code
    1. ls -la /storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1
    2. -rw-r--r--    1 root     root        453944 Feb 27 23:32 /storage/.kodi/addons/visualization.projectm/visualization.projectm.so.1.1.1
  • Quote


    Reason is this: undefined symbol: __glewBindFramebufferEXT


    Code


    I think addon needs one patch to remove glew.

    Gone...

  • Getting a different undefined symbol error with vxsu:

    Code
    1. ERROR: Unable to load /storage/.kodi/addons/visualization.vsxu/visualization.vsxu.so.1.1.0, reason: /storage/.kodi/addons/visualization.vsxu/visualization.vsxu.so.1.1.0: undefined symbol: jpeg_resync_to_restart

  • @ wildphydeaux
    @ teeedub


    Got some free time today to check ProjectM and got it working here.
    Can you download and see if it works for you, here is the link.



    Make sure to uninstall previous version and delete it's addon/userdata folder prior to install this one.

    Edited once, last by vitorp07 ().


  • Thank you so much for resolving this issue! Although I am not the one who submitted the issue, I had experienced it, and your fix definitely resurrected this awesome visualization! Thanks again! Is there anything that you can do for the VSXU visualization?


  • Thank you so much for resolving this issue! Although I am not the one who submitted the issue, I had experienced it, and your fix definitely resurrected this awesome visualization! Thanks again! Is there anything that you can do for the VSXU visualization?


    You're welcome, i will look into VSXU and notify you as soon as i got something.

  • @vitorp07 - A big "Thank you" from me as well. I also saw this issue a while back and figured that it needed looking at by someone with more knowledge than I can bring to the table. Still trying to workout what you did to fix it...


    Anyway, I just spent a happy couple of hours playing some music and really enjoying the fact that this visualizer is working again. Thanks again.

  • @S80_UK
    Glad to see more people benefit from it and thanks for the kind words :)


    @cch2375
    It looks like we're missing some dependencies/lib to be able to run VSXu properly on LE, but i will continue checking it out.
    [hr]
    As of now here is what i got working/fixed from the LE repo;
    - projectM visualization
    - Solarwinds screensaver


    If anyone is having problems with another visualization or screensaver preferably from the LE repo i'd be glad to look into it.

    Edited once, last by vitorp07 ().

  • vitorp07 - Sorry for the slow reply back, life got in the way...


    In any case, thanks so much for finding the issue and taking care of it so quickly. Awesome visualization - the best one by far!


    Cheers,


    RLW

  • I am running this on rasberry pi3. The vis won't load. Is there a version that's compatible with the pi?
    [hr]

    Code
    1. 11:35:23.487 T:1962109904   ERROR: Unable to load /storage/.kodi/addons/visualization.projectm/visualization.projectm.so, reason: /storage/.kodi/addons/visualization.projectm/visualization.projectm.so: wrong ELF class: ELFCLASS64